Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi
Class InterfaceAnalysis

    java.lang.Object
      org.jboss.iiop.rmi.AbstractAnalysis
          org.jboss.iiop.rmi.ClassAnalysis
              org.jboss.iiop.rmi.ContainerAnalysis
                  org.jboss.iiop.rmi.InterfaceAnalysis

public class InterfaceAnalysis
extends ContainerAnalysis

Interface analysis. Routines here are conforming to the "Java(TM) Language to IDL Mapping Specification", version 1.1 (01-06-07).

Version:
  $Revision: 1.9 $
Author:
  Ole Husgaard

Field Summary

Fields inherited from class org.jboss.iiop.rmi.ContainerAnalysis
`abstractBaseValuetypes, attributes, classHashCode, constants, F_CONSTANT, f_flags, F_SPFFIELD, fields, interfaces, m_flags, M_INHERITED, M_OVERLOADED, M_READ, M_READONLY, M_WRITE, M_WRITEOBJECT, memberPostfix, memberPrefix, methods, mutators, operations, repositoryId`

Fields inherited from class org.jboss.iiop.rmi.ClassAnalysis
`cls`

Constructor Summary
`protected` | `InterfaceAnalysis(Class cls)`

Method Summary
`protected void` | `analyzeOperations()` Analyse operations.
`protected void` | `calculateAllTypeIds()` Calculate the array containing all type ids of this interface, in the format that org.omg.CORBA.portable.Servant._all_interfaces() is expected to return.
`protected void` | `calculateOperationAnalysisMap()` Calculate the map that maps IDL operation names to operation analyses.
`protected void` | `doAnalyze()`
`String[]` | `getAllTypeIds()`
`protected ArrayList` | `getContainedEntries()` Return a list of all the entries contained here.
`static InterfaceAnalysis` | `getInterfaceAnalysis(Class cls)`
`boolean` | `isAbstractInterface()`
`boolean` | `isRmiIdlRemoteInterface()`

Methods inherited from class org.jboss.iiop.rmi.ContainerAnalysis
`analyzeAttributes, analyzeConstants, analyzeFields, analyzeInterfaces, analyzeMethods, attributeReadName, attributeWriteName, calculateClassHashCode, calculateRepositoryId, escapeIRName, fixupCaseNames, fixupOverloadedOperationNames, getAbstractBaseValuetypes, getAttributes, getConstants, getIDLModuleName, getInterfaces, getMemberRepositoryId, getOperations, getRepositoryId, hasNonAppExceptions, isAccessor, isMutator, toHexString, toHexString`

Methods inherited from class org.jboss.iiop.rmi.ClassAnalysis
`getCls, getIDLName, getJavaName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceAnalysis

    protected InterfaceAnalysis(Class cls)

Method Detail

### getInterfaceAnalysis

    public static InterfaceAnalysis getInterfaceAnalysis(Class cls)
                                                  throws RMIIIOPViolationException

  Throws:
    `RMIIIOPViolationException`

### doAnalyze

    protected void doAnalyze()
                      throws RMIIIOPViolationException

  Overrides:
    `doAnalyze` in class `ContainerAnalysis`
  Throws:
    `RMIIIOPViolationException`

### isAbstractInterface

    public boolean isAbstractInterface()

### isRmiIdlRemoteInterface

    public boolean isRmiIdlRemoteInterface()

### getAllTypeIds

    public String[] getAllTypeIds()

### getContainedEntries

    protected ArrayList getContainedEntries()

  Return a list of all the entries contained here.

  Specified by:
    `getContainedEntries` in class `ContainerAnalysis`

### analyzeOperations

    protected void analyzeOperations()
                              throws RMIIIOPViolationException

  Analyse operations. This will fill in the `operations` array.

  Overrides:
    `analyzeOperations` in class `ContainerAnalysis`
  Throws:
    `RMIIIOPViolationException`

### calculateOperationAnalysisMap

    protected void calculateOperationAnalysisMap()

  Calculate the map that maps IDL operation names to operation analyses. Besides mapped operations, this map also contains the attribute accessor and mutator operations.

### calculateAllTypeIds

    protected void calculateAllTypeIds()

  Calculate the array containing all type ids of this interface, in the format that org.omg.CORBA.portable.Servant._all_interfaces() is expected to return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.